/// <reference types="node" />
import type { Options } from 'amqplib/properties';
import type { AMQPPublisherOptions } from './AbstractAmqpPublisher';
import { AbstractAmqpPublisher } from './AbstractAmqpPublisher';
import type { AMQPDependencies } from './AbstractAmqpService';
export type AMQPExchangePublisherOptions<MessagePayloadType extends object> = Omit<AMQPPublisherOptions<MessagePayloadType>, 'creationConfig'> & {
    exchange: string;
};
export type AmqpExchangeMessageOptions = {
    routingKey: string;
    publishOptions: Options.Publish;
};
export declare abstract class AbstractAmqpExchangePublisher<MessagePayloadType extends object> extends AbstractAmqpPublisher<MessagePayloadType, AmqpExchangeMessageOptions> {
    constructor(dependencies: AMQPDependencies, options: AMQPExchangePublisherOptions<MessagePayloadType>);
    protected publishInternal(message: Buffer, options: AmqpExchangeMessageOptions): void;
    protected createMissingEntities(): Promise<void>;
}
