"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractAmqpExchangePublisher = void 0;
const core_1 = require("@message-queue-toolkit/core");
const AbstractAmqpPublisher_1 = require("./AbstractAmqpPublisher");
class AbstractAmqpExchangePublisher extends AbstractAmqpPublisher_1.AbstractAmqpPublisher {
    constructor(dependencies, options) {
        super(dependencies, {
            ...options,
            // FixMe exchange publisher doesn't need queue at all
            creationConfig: {
                queueName: 'dummy',
                queueOptions: {},
                updateAttributesIfExists: false,
            },
            exchange: options.exchange,
            locatorConfig: undefined,
        });
    }
    publishInternal(message, options) {
        this.channel.publish(this.exchange, options.routingKey, (0, core_1.objectToBuffer)(message), options.publishOptions);
    }
    createMissingEntities() {
        this.logger.warn('Missing entity creation is not implemented');
        return Promise.resolve();
    }
}
exports.AbstractAmqpExchangePublisher = AbstractAmqpExchangePublisher;
//# sourceMappingURL=AbstractAmqpExchangePublisher.js.map